## idseq-bench 0.0~git20200902.8241a9a

=== requirements.txt ===
biopython==1.74
certifi==2019.6.16
chardet==3.0.4
future==0.17.1
idna==2.8
InSilicoSeq==1.4.2
joblib==0.13.2
ncbi-acc-download==0.2.5
numpy==1.17.0
pysam==0.15.3
requests==2.22.0
scipy==1.3.1
urllib3==1.25.3

## idseq-bench 0.0~git20200627.4040457

=== debian/changelog ===
idseq-bench (0.0~git20200627.4040457-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jul 2020 14:02:13 +0200

idseq-bench (0.0~git20200627.4040457-1) unstable; urgency=medium

  * Initial release (Closes: #956033)

 -- Sao I Kuan <saoikuan@gmail.com>  Sat, 04 Jul 2020 15:57:48 +0900

=== debian/control ===
Source: idseq-bench
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sao I Kuan <saoikuan@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               insilicoseq,
               ncbi-acc-download,
               python3-all,
               python3-biopython,
               python3-setuptools,
               python3-smart-open,
               python3-yaml
Standards-Version: 4.5.0
Homepage: https://github.com/chanzuckerberg/idseq-bench
Vcs-Browser: https://salsa.debian.org/med-team/idseq-bench
Vcs-Git: https://salsa.debian.org/med-team/idseq-bench.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: idseq-bench
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Benchmark generator for the IDseq Portal
 IDseq (Infectious Disease Sequencing Platform) is an unbiased global
 software platform that helps scientists identify pathogens in
 metagenomic sequencing data.
 .
  * Discover - Identify the pathogen landscape
  * Detect - Monitor and review potential outbreaks
  * Decipher - Find potential infecting organisms in large datasets
 .
 This package provides the benchmark generator for the IDseq Portal.

## idseq-bench 0.0~git20200902.8241a9a

=== debian/changelog ===
idseq-bench (0.0~git20200902.8241a9a-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 18:06:15 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                python3-biopython,
                python3-setuptools,
                python3-smart-open,
-               python3-yaml
-Standards-Version: 4.5.0
+               python3-yaml,
+Standards-Version: 4.5.1
 Homepage: https://github.com/chanzuckerberg/idseq-bench
 Vcs-Browser: https://salsa.debian.org/med-team/idseq-bench
 Vcs-Git: https://salsa.debian.org/med-team/idseq-bench.git

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-yaml, insilicoseq, ncbi-acc-download
Restrictions: allow-stderr

## idseq-bench 0.0~git20210602.27fb6dc

=== requirements.txt ===
--- 
+++ 
@@ -10,4 +10,4 @@
 pysam==0.15.3
 requests==2.22.0
 scipy==1.3.1
-urllib3==1.25.3
+urllib3==1.26.5

=== debian/changelog ===
idseq-bench (0.0~git20210602.27fb6dc-2) unstable; urgency=medium

  * Team upload.
  * Exclude s390x architecture from autopkgtest (see bug #1103285)

 -- Andreas Tille <tille@debian.org>  Thu, 17 Apr 2025 06:38:18 +0200

idseq-bench (0.0~git20210602.27fb6dc-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Autopkgtest needs internet

  [ Nilesh Patra ]
  * Versioned test dep on insilicoseq

 -- Nilesh Patra <nilesh@debian.org>  Mon, 17 Jan 2022 17:30:47 +0530

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-smart-open,
                python3-yaml,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/chanzuckerberg/idseq-bench
 Vcs-Browser: https://salsa.debian.org/med-team/idseq-bench
 Vcs-Git: https://salsa.debian.org/med-team/idseq-bench.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=idseq-bench

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-yaml, insilicoseq (>= 1.5.4-2~), ncbi-acc-download
Restrictions: allow-stderr, needs-internet
Architecture: !s390x

=== debian/watch ===
version=4
opts="\
  mode=git,\
  pgpmode=none,\
  pretty=0.0~git%cd.%h,\
  date=%Y%m%d,\
  compression=xz,\
" https://github.com/chanzuckerberg/idseq-bench.git \
  heads/master
